# NOTE: Derived from blib/lib/Apache/Session/MongoDB.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package Apache::Session::MongoDB;

#line 140 "blib/lib/Apache/Session/MongoDB.pm (autosplit into blib/lib/auto/Apache/Session/MongoDB/_col.al)"
sub _col {
    my ( $self, $args ) = @_;
    my $conn_args;
    foreach my $w (
        qw(host auth_mechanism auth_mechanism_properties bson_codec
        connect_timeout_ms db_name heartbeat_frequency_ms j local_threshold_ms
        max_time_ms password port read_pref_mode read_pref_tag_sets
        replica_set_name server_selection_timeout_ms server_selection_try_once
        socket_check_interval_ms socket_timeout_ms ssl username w wtimeout
        read_concern_level)
      )
    {
        $conn_args->{$w} = $args->{$w} || $default->{$w};
        delete $conn_args->{$w} unless ( defined $conn_args->{$w} );
    }
    my $s = MongoDB->connect( $args->{host} || $default->{host}, $conn_args )
      or die('Unable to connect to MongoDB server');
    return $s->get_database( $args->{db_name} || $default->{db_name} )
      ->get_collection( $args->{collection}   || $default->{collection} );

}

1;

1;
# end of Apache::Session::MongoDB::_col
