# NOTE: Derived from blib/lib/Apache/Session/MongoDB.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package Apache::Session::MongoDB;

#line 49 "blib/lib/Apache/Session/MongoDB.pm (autosplit into blib/lib/auto/Apache/Session/MongoDB/deleteIfLowerThan.al)"
sub deleteIfLowerThan {
    my ( $class, $args, $rule ) = @_;
    my $query;

    if ( $rule->{or} ) {
        $query = {
            '$or' => [
                map {
                    { $_ => { '$lt' => $rule->{or}->{$_} } }
                  }
                  keys %{ $rule->{or} }
            ]
        };
    }
    elsif ( $rule->{and} ) {
        $query = {
            '$and' => [
                map {
                    { $_ => { '$lt' => $rule->{or}->{$_} } }
                  }
                  keys %{ $rule->{or} }
            ]
        };
    }
    if ( $rule->{not} ) {
        $query = {
            '$and' => [
                $query,
                map {
                    { $_ => { '$ne' => $rule->{not}->{$_} } }
                  }
                  keys %{ $rule->{not} }
            ]
        };
    }
    return 0 unless ($query);

    my $col    = $class->_col($args);
    my $result = $col->delete_many($query);
    if ( $result->acknowledged ) {
        if (wantarray) {
            return 1, $result->deleted_count;
        }
        else {
            return 1;
        }
    }
    else {
        return 1;
    }
}

# end of Apache::Session::MongoDB::deleteIfLowerThan
1;
