# NOTE: Derived from blib/lib/Apache/Session/MongoDB.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package Apache::Session::MongoDB;

#line 101 "blib/lib/Apache/Session/MongoDB.pm (autosplit into blib/lib/auto/Apache/Session/MongoDB/_query.al)"
sub _query {
    my ( $class, $args, $filter, @fields ) = @_;
    my $col    = $class->_col($args);
    my $cursor = $col->find($filter);
    if (@fields) {
        $cursor =
          $cursor->fields( { map { $_ => 1 } @fields, "_session_id" => 1 } );
    }
    my %res;
    while ( my $r = $cursor->next ) {
        my $id = $r->{_session_id};
        delete $r->{_id};
        $res{$id} = $r;
    }
    return \%res;
}

# end of Apache::Session::MongoDB::_query
1;
