# NOTE: Derived from blib/lib/Apache/Session/MongoDB.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package Apache::Session::MongoDB;

#line 118 "blib/lib/Apache/Session/MongoDB.pm (autosplit into blib/lib/auto/Apache/Session/MongoDB/get_key_from_all_sessions.al)"
sub get_key_from_all_sessions {
    my ( $class, $args, $data ) = @_;
    my $col    = $class->_col($args);
    my $cursor = $col->find( {} );
    my %res;
    while ( my $r = $cursor->next ) {
        my $id = $r->{_session_id};
        delete $r->{_id};
        if ( ref($data) eq 'CODE' ) {
            $res{$id} = $data->( $r, $id );
        }
        elsif ($data) {
            $data = [$data] unless ( ref $data );
            $res{$id}->{$_} = $r->{$_} foreach (@$data);
        }
        else {
            $res{$id} = $r;
        }
    }
    return \%res;
}

# end of Apache::Session::MongoDB::get_key_from_all_sessions
1;
